package org.implab.gradle.containers.tasks;

import java.io.IOException;
import org.gradle.api.provider.Property;
import org.gradle.api.tasks.Input;
import org.gradle.api.tasks.TaskAction;
import org.implab.gradle.containers.cli.ImageName;

public abstract class TagImage extends DockerCliTask {
    @Input
    public abstract Property<ImageName> getSrcImage();

    @Input
    public abstract Property<ImageName> getDestImage();

    @TaskAction
    public void run() throws InterruptedException, IOException {
        docker().tagImage(
                getSrcImage().map(ImageName::toString).get(),
                getDestImage().map(ImageName::toString).get());
    }
}
